---
title: Delete MCP Server
description: Deletes an MCP server and cleans up associated OAuth tokens. This action is irreversible.
docs_index: /docs/llms.txt
lastUpdated: 2026-11-21
badge: "DEL"
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Deletes an MCP server and cleans up associated OAuth tokens. This action is irreversible.

#### `DELETE /v2/mcp-servers/{mcpServerId}`

## Usage

```typescript
import { v0 } from 'v0'

const result = await v0.mcpServers.delete({
  mcpServerId: 'srv_jkl345',
})

console.log(result)
```

```bash
curl -X DELETE "https://api.v0.dev/v2/mcp-servers/chat_abc123"   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `mcpServerId: string` The unique identifier of the MCP server to delete.
  - **Minimum length:** 1

### Response

- `success: 'true'`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)